### Method

# Gdk Toplevel set_transient_for

#### Declaration [src]

    void
    gdk_toplevel_set_transient_for (
      GdkToplevel* toplevel,
      GdkSurface* parent
    )

#### Description [src]

Sets a transient-for parent.

Indicates to the window manager that `surface` is a transient dialog associated with the application surface `parent`. This allows the window manager to do things like center `surface` on `parent` and keep `surface` above `parent`.

See Gtk.Window.set_transient_for if you’re using Gtk.Window or Gtk.Dialog.

Sets property | `Gdk.Toplevel:transient-for`

#### Parameters

`parent` | `GdkSurface`
| Another toplevel `GdkSurface`.
| The data is owned by the caller of the function.